BossHealthBar = class(HealthBar, function(o)
	-- bring in the svg and apply the position to the healthbar
	o.svg = SvgLoader(svg_root .. "interface/boss_health_bar_" .. player.currentWorld.id .. ipad .. ".svg", true)
	-- center this object in relation to the screen
	local nw = o.svg:getMaxX()-o.svg:getMinX()
	o.nx = bludG.camera.w/2-nw/2-o.svg:getMinX()
	o.position = o.svg.id.bosshealth
	local x, y = o.position.minX+o.nx, o.position.minY
	local w, h = (o.position.maxX+o.nx)-x, o.position.maxY-y
	HealthBar.init(o, x, y, w, h)
	HealthBar.setScrollFactor(o, 0,0)
	o.drawType = 'svg'
	o.svg:setScrollFactor(0,0)
	o.op = Vec2(x, y)
end)

function BossHealthBar:draw()
	HealthBar.draw(self)
	self.pos.x, self.pos.y = self.nx,0
	Object.draw(self)
	self.pos.x, self.pos.y = self.op.x+self.nx, self.op.y
end